Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbox2d.dynamics.joints
Enum JointType

    java.lang.Object
      java.lang.Enum<JointType>
          org.jbox2d.dynamics.joints.JointType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JointType>

    public enum JointType

extends java.lang.Enum<JointType>

Enum Constant Summary
`DISTANCE_JOINT`
`GEAR_JOINT`
`MOUSE_JOINT`
`PRISMATIC_JOINT`
`PULLEY_JOINT`
`REVOLUTE_JOINT`
`UNKNOWN_JOINT`

Method Summary
`static JointType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN_JOINT

    public static final JointType UNKNOWN_JOINT

### REVOLUTE_JOINT

    public static final JointType REVOLUTE_JOINT

### PRISMATIC_JOINT

    public static final JointType PRISMATIC_JOINT

### DISTANCE_JOINT

    public static final JointType DISTANCE_JOINT

### PULLEY_JOINT

    public static final JointType PULLEY_JOINT

### MOUSE_JOINT

    public static final JointType MOUSE_JOINT

### GEAR_JOINT

    public static final JointType GEAR_JOINT

Method Detail

### values

    public static final JointType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JointType c : JointType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JointType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD